name='obs-studio'
version='29.0.2'
release='1'
desc='OBS Studio is software designed for capturing, compositing, encoding, recording, and streaming video content, efficiently.'
homepage='https://github.com/obsproject/obs-studio'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('GPL-2.0 license')
provides=('obs-studio')
conflicts=('obs-studio')
deps=()
build_deps=('lib64alsa-oss-devel.x86_64' \
       'lib64boost_asio-devel' \
       'cmake' \
       'lib64ffmpeg-devel' \
       'fontconfig-devel' \
       'freetype-devel' \
       'gcc' \
       'gcc-c++' \
       'gcc-objc' \
       'git' \
       'glib2-devel' \
       'jansson-devel' \
       'lib64json11-devel' \
       'libavcodec-free-devel' \
       'libavdevice-free-devel' \
       'librist-devel' \
       'libcurl-devel' \
       'libdrm-devel' \
       'libglvnd-devel' \
       'libuuid-devel' \
       'libva-devel' \
       'libv4l-devel' \
       'libX11-devel' \
       'libXcomposite-devel' \
       'libXdamage' \
       'libXinerama-devel' \
       'libxkbcommon-devel' \
       'luajit-devel' \
       'make' \
       'mbedtls-devel' \
       'pciutils-devel' \
       'pipewire-devel' \
       'pulseaudio-libs-devel' \
       'python3-devel' \
       'qt6-qtbase-devel' \
       'qt6-qtbase-private-devel' \
       'qt6-qtsvg-devel' \
       'qt6-qtwayland-devel' \
       'speexdsp-devel' \
       'swig' \
       'systemd-devel' \
       'vlc-devel' \
       'wayland-devel' \
       'websocketpp-devel' \
       'x264-devel')


sources=("https://github.com/Palakis/obs-ndi/archive/${version}.tar.gz")
checksums=('SKIP')

build() {
    cd ${srcdir}/obs-ndi-${version}
    cmake -B build -DCMAKE_INSTALL_PREFIX=/usr
    cmake --build build
}

package() {
    cd ${pkgname}-${pkgver}

    install -Dm755 build/obs-ndi.so ${pkgdir}/usr/lib/obs-plugins/obs-ndi.so

    install -d ${pkgdir}/usr/share/obs/obs-plugins/obs-ndi/locale
    cp -a data/locale/* ${pkgdir}/usr/share/obs/obs-plugins/obs-ndi/locale

    install -Dm644 LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
}
